<?php
class Auctions_Model extends Model
{
	public function __construct()
	{
	   parent::__construct();
	   $db=new Database();
	   $this->session=Session::instance();
	}
	
	public function get_prducts($offset,$noofpage)
	{
		$current_date = date('Y/m/d');
		$query = "select * from products left join users on users.uid = products.LastBidder where (StartDate <= '$current_date') and (EndDate >= '$current_date') and ProductStatus='1' limit $offset,$noofpage";
		$result = $this->db->query($query);
		return $result;
	}
	
	public function count_prducts()
	{
		$current_date = date('Y/m/d');
		$query = "select * from products left join users on users.uid = products.LastBidder where (StartDate <= '$current_date') and (EndDate >= '$current_date') and ProductStatus='1'";
		$result = $this->db->query($query);
		return count($result);
	}
	
	public function last_bidder($ProductID)
	{
		$query = "select username from products left join users on users.uid = products.LastBidder where ProductID = '$ProductID'";
		$result = $this->db->query($query);
		return $result;
	}
	
	public function process($ProductID)
	{
		$query = "select Countdown from products where ProductID = '$ProductID'";
		$result = $this->db->query($query);
		return $result;
	}
	
	public function Product_time($ProductID)
	{
		$query = "select * from products where ProductID = '$ProductID'";
		$result = $this->db->query($query);
		return $result;
	}
	
	public function update_current_time($ProductID)
	{
	        $hour = date('H');
                //$mi = date('I');
                $k = time(); 
		$a = date("H:i:s", time()); 
		$b = list($H,$M,$S) = split(":",$a);
		//echo $M."<br />";
                $mi = $M-1;
		//echo 'hour:'.$hour.'<br/>'.'minutes:'.$mi.'<br/>'.'month:'.date('m').'<br/>'.'date:'.date('d').'<br/>'.'year:'.date('Y').'<br/>';
		$CurrentTime = mktime($hour,$mi,60,date('m'),date('d'),date('Y'));
		$query = "update products set CurrentTime = '$CurrentTime' , test = '$CurrentTime' where ProductID = '$ProductID'";
		$result = $this->db->query($query);
		return $result;
	}
	
	public function update_countdown($countdown,$ProductID)
	{
		$query = "update products set test='$countdown' where ProductID = '$ProductID'";
		$result = $this->db->query($query);
		return 1;
	}
	
	public function update_timer($countdown,$ProductID)
	{
		$select = $this->db->query("select Countdown from products where ProductID = '$ProductID'");
		if($select->count()>0)
		{
			$dbtime = $select['mysql_fetch_array']->Countdown;
			$countdown = ($dbtime+55); 
			$query = "update products set Countdown='$countdown' where ProductID = '$ProductID'";
			$result = $this->db->query($query);
			return $result;
		}
		
	}
	
	public function bid_amount($ProductID)
	{
		$query = "select BidAmount from products where ProductID = '$ProductID'";
		$result = $this->db->query($query);
		return $result;
	}
	
	public function get_product_amount($ProductID)
	{
		$query = "select BidAmount from products where ProductID = '$ProductID'";
		$result = $this->db->query($query);
		return $result;
	}
	
	public function get_bid_count($uid)
	{
		$query = "select bid_count from users where uid = '$uid'";
		$result = $this->db->query($query);
		return $result;
	}
	
	public function update_product_status($ProductID)
	{
		$query = "update products set ProductStatus='2' where ProductID = '$ProductID'";
		$result = $this->db->query($query);
		return $result;
	}
	
	public function watchlist($ProductID,$uid)
	{
		
		if($ProductID != '' && $uid)
		{
			$query = "select ProductID from watchlist where ProductID = '$ProductID' and uid='$uid'";
			$check_watchlist = $this->db->query($query);
			if($check_watchlist->count() == 0)
			{
				$query = "insert into watchlist(ProductID,uid) values('$ProductID','$uid')";
				$this->db->query($query);
				return 1;
			}
			else
			{
				return 0;
			}
		}
		else
		{
			return -1;
		}
	}
	
	public function addbid($ProductID,$uid)
	{
		if($ProductID != '' && $uid != '')
		{
			//inserting bit history details
			$query = "insert into product_history(ProductID,uid,BidDate) values('$ProductID','$uid',now())";
			$result = $this->db->query($query);
			
			//getting bidcount
			$this->bid_count = $this->get_bid_count($uid);
			
			// getting bidamount
			$select_bidamount = $this->db->query("select BidAmount from products where ProductID = '$ProductID'");
			
			//updating product bidamount
			if($select_bidamount->count()>0)
			{
				
				$bid_amount = $select_bidamount['mysql_fetch_array']->BidAmount;
				$bid_amount = $bid_amount+10;
				$update_bid_amount = $this->db->query("update products set BidAmount = '$bid_amount',LastBidder = '$uid' where ProductID = '$ProductID'");
			}
			
			
			//updating bidcount
			if($this->bid_count->count() > 0)
			{
				$TotalCount = $this->bid_count['mysql_fetch_array']->bid_count;
				$count = $TotalCount-1;
				$update_bid_count = $this->db->query("update users set bid_count='$count' where uid = '$uid'");
			}
			return 1;
		}
		else
		{
			return -1;
		}
	}
	
	public function get_user($uid)
	{
		if($uid)
		{
			$query = "select fname,lname from users where uid = '$uid'";
			$result = $this->db->query($query);
			return $result;
		}
	}
	
	public function future($offset,$noofpage)
	{
		$current_date = date('Y/m/d');
		$query = "select * from products where (StartDate > '$current_date') limit $offset,$noofpage";
		$result = $this->db->query($query);
		return $result;
	}
	
	public function count_future_products()
	{
		$current_date = date('Y/m/d');
		$query = "select * from products where (StartDate > '$current_date')";
		$result = $this->db->query($query);
		return count($result);
	}
	public function closed($offset,$noofpage)
	{
		$current_date = date('Y/m/d');
		$query = "select * from products left join users on products.LastBidder = users.uid where ProductStatus = '2' limit $offset,$noofpage";
		$result = $this->db->query($query);
		return $result;
	}
	
	public function count_closed_products()
	{
		$current_date = date('Y/m/d');
		$query = "select * from products left join users on products.LastBidder = users.uid where ProductStatus = '2' ";
		$result = $this->db->query($query);
		return count($result);
	}
	
	public function winners_list($offset,$records)
	{
	        $query = "SELECT * FROM products p,users u WHERE p.ProductStatus='2' AND p.LastBidder=u.uid LIMIT $offset,$records";
		$result = $this->db->query($query);
		return $result;       
	}
	
	public function winners_count()
	{
	        $query = "SELECT * FROM products p,users u WHERE p.ProductStatus='2' AND p.LastBidder=u.uid";
		$result = $this->db->query($query);
		return count($result);       
	}
	public function product_status($ProductID)
	{
	        $query = "select ProductStatus from products where ProductID='$ProductID'";
	        $result = $this->db->query($query);
	        return $result;
	}
	
	public function search($value,$offset,$noofpage)
	{
		$query = "select * from products where ProductName like '%$value%' limit $offset,$noofpage";
		$result = $this->db->query($query);
		return $result;
	}
	
	public function search_count($value)
	{
		$query = "select * from products where ProductName like '%$value%'";
		$result = $this->db->query($query);
		return count($result);
	}
}
?>
