<?php defined('SYSPATH') OR die('No direct access allowed.');

class Auctions_Controller extends Website_Controller 
{
	public $template = 'template/template';
	public function __construct()
	{
		parent::__construct();
		$this->session = Session::instance();
		$this->model = new Auctions_Model();
	}
	
	public function index()
	{	
		$this->template->title ="Live Auctions";
		 
		$page_no = $this->uri->last_segment(); 
		if($page_no == 0 || $page_no == 'index')
		$page_no = 1;
		$offset = 12*($page_no-1);
		$this->get_products = $this->model->get_prducts($offset,12);
		$this->total_products = $this->model->count_prducts();
			$this->template->pagination = new Pagination(array
			 (
			 'base_url'       => 'auctions',
			 'uri_segment'    =>'index',
			 'items_per_page' => 12,
			 'total_items'    => $this->total_products,
			 'style'         => 'digg' )
			 );
		  
		  $this->template->content = new View('auctions/live');
	}
	
	public function timer()
	{ 
		echo date("g:i:s A");
		exit;
	}
	
	public function process($ProductProcess='' ,$ProductID='',$ser_sec)
	{
		if(request::is_ajax())
		{
			$this->template->title = 'Product Process';
			if($ProductProcess == 1)
			{ 
				$this->template->process_time = $this->model->process($ProductID);
				if(count($this->template->process_time)>0)
				{
					$product_status = $this->model->product_status($ProductID);
					if($product_status['mysql_fetch_array']->ProductStatus == 1)
					{
						$countdown = $this->template->process_time['mysql_fetch_array']->Countdown;
						if($countdown == 0)
						{
							$this->template->update_product_status = $this->model->update_product_status($ProductID);
						}
						else
						{
							$this->update = $this->model->update_current_time($ProductID);
							$this->db_time = $this->model->Product_time($ProductID);
							if(count($this->db_time)>0)
							{
								$dbtime = $this->db_time['mysql_fetch_array']->test;
								$servertime = mktime();
								if($servertime > $dbtime)
								{
									$rtime = ($dbtime+$countdown)-$servertime;  
								        echo $dbtime+$countdown.'<br/>'.$servertime.'<br/>'.$countdown.'<br/>'.$rtime.'<br/>';
								   if($rtime == 1)
								   {
									   $this->template->update_product_status = $this->model->update_product_status($ProductID);
								   }
								   else
								   {
										//echo $rtime;
										$min = floor($rtime/60);
										$sec = floor($rtime%60);
										echo $min.' min '.$sec.' Sec';
										$d = date('Y-m-d');
										$x = explode('-',$d);
										if($x != '')
										{
											$day = $x[2];
											$month = $x[1];
											$year = $x[0]; 
										}
										else
										{
											$day = '';
											$month = '';
											$year = ''; 
										}
										$count1 = $rtime-1;
										$hour = date('H');
										$k = time(); 
										$a = date("H:i:s", time()); 
										$b = list($H,$M,$S) = split(":",$a);
										$mi = $M;
										$count = mktime($hour,$mi,$count1,date('m'),date('d'),date('Y'));      
								   }
								}	
								else
								{
										//echo $dbtime.'<br/>'.$servertime.'<br/>';
								}
							}
					$this->template->update_countdown = $this->model->update_countdown($count,$ProductID);
						}
					}
				else 
				{
				        echo "CLOSED";
				}
				}
			}
   			else
			{
				echo '<span style="cursor:pointer">Hold</span>';
			}
			exit;
		}
	}
	
	public function bid_amount($ProductID='')
	{
		if(request::is_ajax())
		{
			$this->template->title = 'Bid Amount';
			if($ProductID != '')
			{
				$this->template->bid_amount = $this->model->bid_amount($ProductID);
				if(count($this->template->bid_amount)>0)
				{
					$x = $this->template->bid_amount['mysql_fetch_array']->BidAmount/100;
					echo $x.'0';
				}
			}
			else
			{
				echo 'Please Try Later!';
			}
			exit;
		}
		
		echo 't';exit;
	}
	
	public function watchlist($ProductID='',$uid='')
	{
		if($this->userid != '')
		{
			$this->template->title = 'Add Watchlist';
			if(request::is_ajax())
			{
				$this->template->watchlist = $this->model->watchlist($ProductID,$uid); 
				if($this->template->watchlist == 0)
				{
					echo 'Already added in your watchlist';
				}
				elseif($this->template->watchlist == 1)
				{
					echo 'This product has been Added in your Watchlist';
				}
				elseif($this->template->watchlist == -1)
				{
					echo 'We can not do this opration now, Please try Later.';
				}
				exit;
			}
		}
	}
	
	public function last_bidder($ProductID = '')
	{
		$this->template->last_bidder = $this->model->last_bidder($ProductID);
		if(count($this->template->last_bidder)>0)
		{
			echo $this->template->last_bidder['mysql_fetch_array']->username;
		}
		exit;
	}
	
	public function bidding($ProductID='',$uid='',$TotalRemaining='')
	{
		$this->template->title = 'Letsbid';
		if($this->userid != '')
		{
			if(request::is_ajax())
			{
				$d = date('Y-m-d');
				$x = explode('-',$d);
				if($x != '')
				{
					$day = $x[2];
					$month = $x[1];
					$year = $x[0]; 
					  
				}
				else
				{
					$day = '';
					$month = '';
					$year = ''; 
				}
				$count1 = $TotalRemaining+55;
				$hour = date('H');
				$k = time(); 
				$a = date("H:i:s", time()); 
				$b = list($H,$M,$S) = split(":",$a);
				$mi = $M-1;
				$countdown = mktime($hour,$mi,$count1,date('m'),date('d'),date('Y'));    
				 
				$this->template->update_countdown = $this->model->update_timer($countdown,$ProductID);
				$this->addbid = $this->model->addbid($ProductID,$uid);
				$this->get_user = $this->model->get_user($uid);
				$this->db->get_product_amount = $this->model->get_product_amount($ProductID);
				
				if($this->addbid == 1 && count($this->get_user) && count($this->db->get_product_amount))
				{
					
					$product_amount = $this->db->get_product_amount['mysql_fetch_array']->BidAmount;
					$name = $this->get_user['mysql_fetch_array']->fname.' '.$this->get_user['mysql_fetch_array']->lname;
					echo 'Your bid has been posted.+++'.$name.'+++'.$product_amount;
				}
				elseif($this->addbid == -1)
				{
					echo 'Please try Later!';
				}
			}
			exit;
		}
		else
		{
			url::redirect($this->docroot.'users');
		}
	}
	
	public function bid_status($ProductID='')
	{
		if(request::is_ajax())
		{
			$this->product_status = $this->model->product_status($ProductID);
			if(count($this->product_status)>0)
			{
				if($this->product_status['mysql_fetch_array']->ProductStatus == 1)
				{
					echo $status = 'BID NOW';
				}
				else
				{
					echo $status = 'CLOSED';
				}
			}
			exit;
		}
	}
	public function product_info($ProductID='')
	{
		$this->template->title ="Product Details";
		$this->product_info = $this->model->product_info($ProductID);
		$this->template->content = new View('auctions/product_info');		
	}
	public function closed()
	{
		$this->template->title ="Closed Auctions";
		
		
		$page_no = $this->uri->last_segment(); 
		if($page_no == 0 || $page_no == 'index')
		$page_no = 1;
		$offset = 12*($page_no-1);
		$this->get_products = $this->model->closed($offset,12);
		$this->total_products = $this->model->count_closed_products();
			$this->template->pagination = new Pagination(array
			 (
			 'base_url'       => 'admin',
			 'uri_segment'    =>'index',
			 'items_per_page' => 5,
			 'total_items'    => $this->total_products,
			 'style'         => 'digg' )
			 );
		$this->template->content = new View('auctions/closed');
	}
	
	public function future()
	{
		$this->template->title ="Future Auctions";
	
		$page_no = $this->uri->last_segment(); 
		if($page_no == 0 || $page_no == 'index')
		$page_no = 1;
		$offset = 12*($page_no-1);
		$this->get_products = $this->model->future($offset,12);
		$this->total_products = $this->model->count_future_products();
			$this->template->pagination = new Pagination(array
			 (
			 'base_url'       => 'admin',
			 'uri_segment'    =>'index',
			 'items_per_page' => 5,
			 'total_items'    => $this->total_products,
			 'style'         => 'digg' )
			 );
		$this->template->content = new View('auctions/future');
	}
	
	public function winners()
	{
		$this->template->title ="Winners";
		
		
		$page_no = $this->uri->last_segment(); 
		if($page_no == 0 || $page_no == 'winners')
		$page_no = 1;
		$offset = 2*($page_no-1);
		$this->winners = $this->model->winners_list($offset,2);
		$this->total_winners = $this->model->winners_count();
			$this->template->pagination = new Pagination(array
			 (
			 'base_url'       => 'auctions',
			 'uri_segment'    =>'winners',
			 'items_per_page' => 2,
			 'total_items'    => $this->total_winners,
			 'style'         => 'digg' )
			 );
		$this->template->content = new View('auctions/winners');
	}
	
	public function search()
	{
		$this->template->title = 'Search';
		url::redirect($this->docroot);
		/*$page_no = $this->uri->last_segment(); 
		if($page_no == 0 || $page_no == 'winners')
		$page_no = 1;
		$offset = 2*($page_no-1);
		if($_GET)
		{
			$value = $this->input->get('textfield');
			if($value != '')
			{
				$this->get_products = $this->model->search($value,$offset,$noofpage);
			}
			else
			{
				$this->get_products = array();
			}
		}		
		$this->total_search = $this->model->search_count($value);
		$this->template->pagination = new Pagination(array
		 (
		 'base_url'       => 'auctions',
		 'uri_segment'    =>'winners',
		 'items_per_page' => 2,
		 'total_items'    => $this->total_search,
		 'style'         => 'digg' )
		 );
		$this->template->content = new View('auctions/search');*/
	}
	
	
}
?>
