<?php defined('SYSPATH') OR die('No direct access allowed.');

class Users_Controller extends Website_Controller 
{
	public $template = 'template/template';
	public function __construct()
	{
		parent::__construct();
		$this->session = Session::instance();
		$this->model = new Users_Model();
		
	}
	
	public function index()
	{	
		  $this->template->title ="Letsbid";
		  $this->template->users = $this->model->displaydetails($this->userid);
		  $this->template->content = new View('users/login');
	}
	
	public function bid_count()
	{
		if($this->userid != '')
		{
			if(request::is_ajax())
			{
				$this->bid_count = $this->model->bid_count($this->userid);
				if(count($this->bid_count)>0)
				{
					echo $this->bid_count['mysql_fetch_array']->bid_count;
				}
			}
			exit;
		}
	}
	/* start login functionality */
	public function login()
	{
		if($this->userid !='')url::redirect($this->docroot.'users/myprofile');

		$this->template->title = 'Login';
		$this->template->content = new View('users/login');
		if($_POST)
		{
			$username = $this->input->post('username');
			$password = $this->input->post('password');
			$this->template->login = $this->model->login($username,$password);
			if($this->template->login == 1)
			{
				url::redirect($this->docroot.'myaccount');
			}
			else if($this->template->login == -1)
			{
				url::redirect($this->docroot.'admin');
			}
			else if($this->template->login == 0)
			{
				$this->session->set('Emsg','Account has been blocked by Admin. Please contact Administrator');
				url::redirect($this->docroot.'contactus');
			}
			elseif($this->template->login == -2)
			{
			        $this->session->set('Emsg','Username / Password wrong.');
				url::redirect($this->docroot.'login');
			}
		}
	}
	/* end login functionality */
	
	/* start logout functionality */
	public function logout()
	{
		$this->template->title = 'Logout';
		$this->session->destroy();
		url::redirect($this->docroot.'users/');
	}
	/* end logout functionality */
	
	/* start forget_password functionality */
	public function forget_password()
	{
		if($this->userid !='')url::redirect($this->docroot.'users/myprofile');
		$this->template->title = 'Forget Password';
		if($_POST)
		{
			$email = $this->input->post('email');
			if($email)
			{
				$this->template->forget_password = $this->model->forget_password($email);
				if($this->template->forget_password == 1)
				{
					$this->session->set('Msg','New Password has been send to your Email.');
					url::redirect($this->docroot.'users/forget_password');
				}
				elseif($this->template->forget_password == -1)
				{
					$this->session->set('Emsg','Your Email Does not Exist with us.');
					url::redirect($this->docroot.'users/forget_password');
				}
				elseif($this->template->forget_password == -2)
				{
					$this->session->set('Emsg','Sorry your account has been blocked by administrator.contact the administrator.');
					url::redirect($this->docroot.'users/forget_password');
				}
			}
			else
			{
				$this->session->set('Emsg','Please Enter your Email.');
				url::redirect($this->docroot.'users/forget_password');
			}
		}
	$this->template->content = new View('users/forget_password');
	}
	/* end forget_password functionality */
	
	/* start aboutus page functionality */
	public function aboutus()
	{
		$this->template->title ="About Us";
		$this->template->aboutus = $this->model->aboutus();
		$this->template->content = new View('/aboutus');
		
	}
	/* end aboutus page functionality */
	
	/* start howitworks page functionality */
	public function howitworks()
	{
		$this->template->title ="How it Works";
		$this->template->howitworks = $this->model->howitworks();
		$this->template->content = new View('/howitworks');
		
	}
	/* end howitworks page functionality */
	
	/* start help page functionality */
	public function help()
	{
		$this->template->title ="Help";
		$this->template->help = $this->model->help();
		$this->template->content = new View('/help');
		
	}
	/* end help page functionality */
	
	/* start support page functionality */
	public function support()
	{
		$this->template->title ="Support";
		$this->template->support = $this->model->support();
		$this->template->content = new View('/support');
		
	}
	/* end support page functionality */
	
	/* start terms&onditions page functionality */
	public function terms_conditions()
	{
		$this->template->title ="Terms & Conditions";
		$this->template->terms_conditions = $this->model->terms_conditions();
		$this->template->content = new View('/terms_conditions');
		
	}
	/* end terms&ondition page functionality */
	
	/* start privacy page functionality */
	public function privacy()
	{
		$this->template->title ="Privacy";
		$this->template->privacy = $this->model->privacy();
		$this->template->content = new View('/privacy');
		
	}
	/* end privacy page functionality */
	
		/* start privacy page functionality */
	public function tips()
	{
		$this->template->title ="Tips & Tricks";
		$this->template->tips = $this->model->tips();
		$this->template->content = new View('/tips_tricks');
		
	}
	
	public function feedback()
	{
		$this->template->title ="Feedback";
		$this->template->feedback = $this->model->feedback();
		$this->template->content = new View('feedback');
		
	}
	/* end privacy page functionality */
	
	/* start registration functionality */
	public function registration()
	{
		if($this->userid !='')url::redirect($this->docroot.'myprofile');
		$this->template->title ="Registration";
		$this->get_chapters = $this->model->get_charity();
		$this->get_about_us = $this->model->get_about_us();
		if($_POST)
		{
			$uid = $this->input->post('uid');
			$username = $this->input->post('username');
			$password = $this->input->post('password');
			$fname = $this->input->post('fname');
			$lname = $this->input->post('lname');
			$mob = $this->input->post('mob');
			$email = $this->input->post('email');
			$gender = $this->input->post('gender');
			$charity = $this->input->post('charity');
			$aboutus = $this->input->post('aboutus');
			$terms = $this->input->post('terms');
			$shipping_address_india = $this->input->post('shipping_address_india');
			$news_letter = $this->input->post('news_letter');
			$usertype = $this->input->post('usertype');
			$userstatus = $this->input->post('userstatus');
			
			
			/*if (Captcha::valid($this->input->post('captcha_response')))
			{*/
				$this->template->registration = $this->model->registration($uid,$username,$password,$fname,$lname,$mob,$email,$gender,$charity,$aboutus,$terms,$shipping_address_india,$news_letter,$usertype,$userstatus);
					
				if($this->template->registration == -1)
				{
					 $this->session->set('Emsg','your username already exists.');
					 url::redirect($this->docroot.'registration');
				}
				elseif($this->template->registration == -2)
				{
					$this->session->set('Emsg','your email already exists.');
					url::redirect($this->docroot.'registration');
				}
			/*}
			else
			{
					$this->session->set('Emsg','enter the correct code.');
					url::redirect($this->docroot.'registration');
			
				
			}*/
		}
		$this->template->content = new View('users/registration');
		
	}
	/* end registration functionality */
	
	public function activate($key='')
	{
		if($key != '')
		{
			$this->template->title = 'User Confirmation';
			$this->template->activate = $this->model->activate($key);
			if($this->template->activate == 1)
			{
				$this->session->set('Msg','User has been Activated.');
				url::redirect($this->docroot.'users/activation');
			}
			else
			{
				$this->session->set('Emsg','User Activation code Error. Please retry again');
				url::redirect($this->docroot.'users');
			}
		}
		else
		{
			$this->session->set('Emsg','Activation Code is Wrong');
		}
	}
	
	public function activation()
	{
		$this->template->title = 'User Confirmation';
		$this->template->content = new View('users/activate');
	}
	
	public function my_account()
	{
		if($this->userid != '')
		{
		        $this->get_bill = $this->model->edit_bill_get($this->userid);
		        $this->get_ship = $this->model->edit_ship_get($this->userid);
			$this->template->title = 'My Account';
			$this->template->content = new View('users/users_account');
		}
		else
		{
			url::redirect($this->docroot.'login');
		}
	}
	public function add_billing()
	{
		if($this->userid != '')
		{
                        if($_POST)
                        {
                        $uid = $this->session->get('userid');
			$name = $this->input->post('name');
			$add1 = $this->input->post('add1');
			$add2 = $this->input->post('add2');
			$town = $this->input->post('town');
			$city = $this->input->post('city');
			$pin = $this->input->post('pin');
			$country = $this->input->post('country');
			$phone = $this->input->post('mob');
			$add=$add1. ' ' .$add2;
			$this->template->add_billing = $this->model->add_billing($uid,$name,$add,$town,$city,$pin,$country,$phone);
			
                        }
                        $this->get_address = $this->model->edit_bill_get($this->userid);
                        $this->get_country = $this->model->get_country();
			$this->template->title = 'Add Billing Address';
			$this->template->content = new View('users/users_add_billing');
		}
		else
		{
			url::redirect($this->docroot.'login');
		}
	}
	public function add_shipping()
	{
		if($this->userid != '')
		{
                        if($_POST)
                        {
                        $uid = $this->session->get('userid');
			$name = $this->input->post('name');
			$add1 = $this->input->post('add1');
			$add2 = $this->input->post('add2');
			$town = $this->input->post('town');
			$city = $this->input->post('city');
			$pin = $this->input->post('pin');
			$country = $this->input->post('country');
			$phone = $this->input->post('phone');
			
			$this->template->add_billing = $this->model->add_shipping($uid,$name,$add1,$add2,$town,$city,$pin,$country,$phone);
                        }
                        $this->get_country = $this->model->get_country();
			$this->template->title = 'Add Shipping Address';
			$this->template->content = new View('users/users_add_shipping');
		}
		else
		{
			url::redirect($this->docroot.'login');
		}
	}
	public function address()
	{
		if($this->userid != '')
		{
		        $id = $this->userid;
		        $this->get_ship = $this->model->get_ship_add($id);
                        $this->get_bill = $this->model->get_bill_add($id);
			$this->template->title = 'Billing and Shipping Address';
			$this->template->content = new View('users/address');
		}
		else
		{
			url::redirect($this->docroot.'login');
		}
	}
	

	public function edit_address_bill()
	{
		$this->template->title ="Edit Address";
		$this->get_address = $this->model->edit_bill_get($this->userid);
		$this->get_country = $this->model->get_country();
		if($this->userid != '')
		{
		if($_POST)
		{
			$id = $this->input->post('id');
			$name = $this->input->post('name');
			$add1 = $this->input->post('add1');
			$add2 = $this->input->post('add2');
			$town = $this->input->post('town');
			$city = $this->input->post('city');
			$pin = $this->input->post('pin');
			$country = $this->input->post('country');
			$phone = $this->input->post('mob');
			$type='0';
			$this->template->edit_profile = $this->model->edit_address($id,$name,$add1,$add2,$town,$city,$pin,$country,$phone,$type);
				
		}
		}
		else
		{
			url::redirect($this->docroot.'users/login');
		}
		$this->template->content = new View('/users/edit_billing');
	}

	public function edit_address_ship()
	{
		$this->template->title ="Edit Address";
		$this->get_address = $this->model->edit_ship_get($this->userid);
		$this->get_country = $this->model->get_country();
		if($this->userid != '')
		{
		if($_POST)
		{
			$id = $this->input->post('id');
			$name = $this->input->post('name');
			$add1 = $this->input->post('add1');
			$add2 = $this->input->post('add2');
			$town = $this->input->post('town');
			$city = $this->input->post('city');
			$pin = $this->input->post('pin');
			$country = $this->input->post('country');
			$phone = $this->input->post('mob');
			$type='1';
			$this->template->edit_profile = $this->model->edit_address($id,$name,$add1,$add2,$town,$city,$pin,$country,$phone,$type);	
		}
		}
		else
		{
			url::redirect($this->docroot.'users/login');
		}
		$this->template->content = new View('/users/edit_shipping');
	}

	public function contact()
	{
		$this->template->title ="Contact";
		if($_POST)
		{
			$cid = $this->input->post('cid');
			$name = $this->input->post('name');
			$email = $this->input->post('email');
			$message = $this->input->post('message');
			if (Captcha::valid($this->input->post('captcha_response')))
			{
				$this->template->contact = $this->model->contact($cid,$name,$email,$message);
			}
			else
			{
				$this->session->set('Emsg','enter the correct verfication code.');
				url::redirect($this->docroot.'users/contact');
			}	
		}
		
		$this->template->content = new View('/users/contact');
		
	}

			
	/* start users_account page functionality */
	public function profile()
	{
		if($this->userid != '')
		{
			$this->template->title = 'Users Account';
			//$this->template->content = new View('users/users_account');
			url::redirect('myprofile');
		}
		else
		{
			url::redirect($this->docroot.'users/login');
		}
	}
	/* end users_account page functionality */
	
	/* start change_password functionality */
	public function change_password()
	{
		$this->template->title ="Change Password";
		if($this->userid != '')
		{
			if($_POST)
			{
				$uid = $this->input->post('uid');
				$password = $this->input->post('password');
				$new_password = $this->input->post('new_password');
				$retype = $this->input->post('retype');
				$this->template->change_password = $this->model->change_password($password,$new_password,$this->userid);
					if($this->template->change_password == 1)
					{
						
						$this->session->set('Msg','Password has been Changed.');
						url::redirect($this->docroot."myprofile");
					}
					elseif($this->template->change_password == -1)
					{
						$this->session->set('Emsg','Old Password Does Not Match');
						url::redirect($this->docroot."change-password");
					}
					
			}
		}	
		else
		{
			url::redirect($this->docroot."users/login");
		}
	$this->template->content = new View('/users/change_password');
	}
	/* end change_password functionality */
	
	/* start edit_profile functionality */
	public function edit_profile()
	{
		$this->template->title ="Edit Profile";
		$this->template->users = $this->model->displaydetails($this->userid);
		$this->get_country = $this->model->get_country();
		if($this->userid != '')
		{
		if($_POST)
		{
				$uid = $this->input->post('uid');
				$fname = $this->input->post('fname');
				$lname = $this->input->post('lname');
				$mob = $this->input->post('mob');
				$city = $this->input->post('city');
				$country = $this->input->post('country');
				$dob = $this->input->post('dob');
				$this->template->edit_profile = $this->model->edit_profile($fname,$lname,$mob,$city,$country,$dob,$this->userid);
				if($this->template->edit_profile == 1)
				{
					 $this->session->set('Msg','your profile details are updated.');
					 url::redirect($this->docroot.'users/myprofile');
				}
				else
				{
			 		$this->session->set('Emsg','Error in updating');
					url::redirect($this->docroot.'users/myprofile');
				}
				
		}
		}
		else
		{
			url::redirect($this->docroot.'users/login');
		}
		$this->template->content = new View('/users/edit_profile');
	}
	/* end edit_profile functionality */
	public function addphoto()
	{
		$this->template->title ="Add Photo";
		if($this->userid != '')
		{
			if($_POST)
			{
				$uid = $this->input->post('uid');
				if($_FILES['user_image']['name'] != '')
				{
				        $image = $_FILES['user_image'];
				        $this->template->addphoto = $this->model->addphoto($uid,$image);
					        if($this->template->addphoto == 1)
					        {
						        $this->session->set('Msg','Photo has been Changed.');
						        url::redirect($this->docroot."users/myprofile");
					        }
					        elseif($this->template->addphoto == 0)
					        {
						        $this->session->set('Emsg','Photo is not valid');
						        url::redirect($this->docroot."users/myprofile");
					        }
                                }
                                else
                                {
                                        $this->session->set('Emsg','Please Choose Your Photo');
				        url::redirect($this->docroot."users/myprofile");
                                }
					
			}
		}	
		else
		{
			url::redirect($this->docroot."login");
		}
	$this->template->content = new View('/users/change_password');
	}
	/*start myprofile functionality*/
	public function myprofile()
	{
		if($this->userid != '')
		{
			$this->template->title ="My Profile";
			$this->template->users = $this->model->displaydetails($this->userid);
			$this->get_country = $this->model->get_country();
			$this->template->content = new View('/users/myprofile');
		}
		else
		{
			url::redirect($this->docroot.'login');
		}
	}
	/*end myprofile functionality*/	
	
	/* start testimonial functionality in footer */

	public function testimonials()
	{
		$this->template->title ="My Testimonials";
		if($this->userid != '')
		{
		$this->template->testimonials = $this->model->testimonials($this->userid);
		}
		$this->template->content = new View('/users/testimonials');
	}

	/* end testimonial functionality in footer */
	/* start add_testimonial functionality in useraccount  */

	public function add_testimonial()
	{
		$this->template->title ="Add Testimonial";
		if($this->userid != '')
		{
			if($_POST)
			{
				$uid = $this->input->post('uid');
				$TestimonialID = $this->input->post('TestimonialID');
				$title = $this->input->post('title');
				$testimonialdesc = $this->input->post('testimonialdesc');
				$testimonialstatus = $this->input->post('$testimonialstatus');
				$this->template->add_testimonial = $this->model->add_testimonial($TestimonialID,$title,$testimonialdesc,$testimonialstatus,$this->userid);
				if($this->template->add_testimonial == 1)
				{
					 $this->session->set('Msg','your Testimonial is added.');
					 url::redirect($this->docroot.'users/show_testimonials');
				}
				else
				{
			 		$this->session->set('Emsg','Error in Adding Testimonial');
					url::redirect($this->docroot.'profile');
				}
			}
			$this->template->content = new View('/users/add_testimonial');
		}
		else
		{
			url::redirect($this->docroot.'login');
		}	
	}
	/* end add_testimonial functionality in useraccount  */

	/* start show_testimonial functionality in footer 'more' link  */
	public function show_testimonials()
	{
		$this->template->title ="My Testimonials";
		if($this->userid != ''&& $this->usertype != -1)
		{
			$this->template->show_testimonials = $this->model->show_testimonials($this->userid);
		}
		else
		{
			$this->template->show_testimonials = $this->model->show_testimonials();
		}
		$this->template->content = new View('/users/show_testimonials');	
	}
	/* end show_testimonial functionality in footer 'more' link  */
	
	/* start show_testimonial functionality in useraccount page  */

	public function my_testimonials()
	{
		$this->template->title ="My Testimonials";
		if($this->userid != '')
		{
			$this->template->show_testimonials = $this->model->my_testimonials($this->userid);
			$this->template->content = new View('/users/show_testimonials');	
		}
		else
		{
			url::redirect($this->docroot.'login');
		}
	}

	/* end show_testimonial functionality in useraccount  */
	
	/* start footer_testimonial functionality in footer link  */
	public function footer_testimonials($TestimonialID=' ')
	{
		$this->template->title ="Testimonials";
		$this->template->footer_testimonials = $this->model->footer_testimonials($TestimonialID);
		$this->template->content = new View('/users/footer_testimonials');	
	}

	/* end footer_testimonial functionality in footer link  */
	
	/* start display news in news home page  */
	public function news()
	{
		$this->template->title ="News";
		$page_no = $this->uri->last_segment(); 
		if($page_no == 0 || $page_no == 'index')
		$page_no = 1;
		$offset = 4*($page_no-1);
		$this->template->news = $this->model->news($offset,4);
		$this->total = $this->model->count_news();
			$this->template->pagination = new Pagination(array
			 (
			 'base_url'       => 'news',
			 'uri_segment'    =>'index',
			 'items_per_page' => 4,
			 'total_items'    => $this->total,
			 'style'         => 'digg' )
			 );
		
		
		$this->template->content = new View('/users/menu_news');
				
	}
	/* end display news in news home page  */
	
	/* start display news in detailed page  */
	public function detail_news($NewsID = '')
	{
		$this->template->title ="News";
		$this->template->news = $this->model->detail_news($NewsID);
		$this->template->content = new View('/users/detail_news');
	}
	/* end display news in detailed page  */
	
	/* Start of right menu Bid details */
	public function buy_packages()
	{
		$this->template->title ="Buy Bid Packages";
		if($this->userid != '')
		{
	        $this->template->content = new View('/users/buy_packages');
		}
		else
		{
			url::redirect($this->docroot.'login');
		}
	}
	/* End of right menu Bid details */
	
	/* Start of Paypal IPN Check */
	
	public function paypal_ipn()
	{
	       $this->template->title ="Paypal IPN Check";
	       $this->template->content = new View('/users/paypal_ipn');
	}	
	/* End of Paypal IPN Check */
	
 
	
	
}
?>
