<?php defined('SYSPATH') or die('No direct script access.');
/**
 * Allows a template to be automatically loaded and displayed. Display can be
 * dynamically turned off in the controller methods, and the template file
 * can be overloaded.
 *
 * To use it, declare your controller to extend this class:
 * `class Your_Controller extends Template_Controller`
 *
 * $Id: template.php 3201 2008-07-23 17:05:49Z Shadowhand $
 *
 * @package    Core
 * @author     Kohana Team
 * @copyright  (c) 2007-2008 Kohana Team
 * @license    http://kohanaphp.com/license.html
 */
abstract class Website_Controller extends Template_Controller {

	// Template view name
	public $template = 'template/template';
	
	// Default to do auto-rendering
	public $auto_render = TRUE;

	/**
	 * Template loading and setup routine.
	 */
	public function __construct()
	{
		parent::__construct();


                //intiallizing the session varaiable to whole project
                $this->left = '';
                $this->right = '';
		        $this->docroot =  Kohana::config('database.server_path');
		        $this->session=Session::instance();
		        $this->session->set('DOCROOT',$this->docroot);
		        $this->userid = $this->session->get('userid');
		        $this->username = $this->session->get('username');
                        $this->usertype = $this->session->get('usertype');
                        $this->email = $this->session->get('email');
                        $this->fname = $this->session->get('fname');
                        $this->lname = $this->session->get('lname');
		        $this->NewsID = $this->session->get('NewsID');
		        $this->session->get('DOCROOT');
		        
                //response variable
                $this->response=$this->session->get('Msg');
                $this->session->delete('Msg');

		//Error response variable
                $this->error_response=$this->session->get('Emsg');
                $this->session->delete('Emsg');
				$this->model = new Users_Model();
				$this->template->testimonials = $this->model->testimonials();
                $this->auctions = new Auctions_Model();
                $this->template->closed_auctions = $this->auctions->closed_list();
				//Buy Packages
				 $this->template->bidlist = $this->model->bidlist();
	}
	public function get_breadcrumbs()
        {
	        global $breadcrumbs;
	        $get_breadcrumbs = html::breadcrumb();
	        while(current($get_breadcrumbs))
	        {
		        // Check if we have reached the last crumb
		        if(key($get_breadcrumbs) < (count($get_breadcrumbs)-1))
		        {
			        // If we haven't, add a breadcrumb separator
			        $breadcrumbs .= current($get_breadcrumbs).' <img src="<?php echo $this->docroot; ?>public/images/bresep.jpg" /> ';
		        }
		        else
		        {
			        // If we have, remove the anchor from the breadcrumb and make it bold
			        $breadcrumbs .= strip_tags("<strong>".current($get_breadcrumbs)."</strong>", "<strong>");
		        }
		        next($get_breadcrumbs);
	        }
		        return $breadcrumbs;
        }
	/**
	 * Render the loaded template.
	 */
	public function _render()
	{
		if ($this->auto_render == TRUE)
		{
			// Render the template when the class is destroyed
			$this->template->render(TRUE);
		}
	}
        

} // End Template_Controller

