<?php defined('SYSPATH') OR die('No direct access allowed.');
/**
 * Provides a driver-based interface for finding, creating, and deleting cached
 * resources. Caches are identified by a unique string. Tagging of caches is
 * also supported, and caches can be found and deleted by id or tag.
 *
 * $Id: Cache.php 4321 2009-05-04 01:39:44Z kiall $
 *
 * @package    Cache
 * @author     Kohana Team
 * @copyright  (c) 2007-2008 Kohana Team
 * @license    http://kohanaphp.com/license.html
 */
class Breadcrumb_Core {

public function get_breadcrumbs()
{
	global $breadcrumbs;
 
	$get_breadcrumbs = html::breadcrumb();
	while(current($get_breadcrumbs))
	{
		// Check if we have reached the last crumb
		if(key($get_breadcrumbs) < (count($get_breadcrumbs)-1))
		{
			// If we haven't, add a breadcrumb separator
			$breadcrumbs .= current($get_breadcrumbs).' / ';
		}
		else
		{
			// If we have, remove the anchor from the breadcrumb and make it bold
			$breadcrumbs .= strip_tags("<strong>".current($get_breadcrumbs)."</strong>", "<strong>");
		}
		next($get_breadcrumbs);
	}
		return $breadcrumbs;
}
} // End Cache
