<?php
class Admin_Model extends Model
{
	public function __construct()
	{
	   parent::__construct();
	   $db=new Database();
	   $this->session=Session::instance();
	   $this->docroot =  Kohana::config('database.server_path');
	}
	public function manageusers($offset='',$limit='')
	{
		$query = "select * from users where usertype != -1 and userstatus != -2 limit $offset,$limit";
		$result = $this->db->query($query);
		return $result;
	}
	public function get_users_count()
	{
	        $query = "select uid from users where usertype != -1 and userstatus != -2";
		$result = $this->db->query($query);
		return count($result);
	}
	
	public function users_search($val,$offset,$noofpage)
	{
		$query = "select * from users where username like '%$val%' OR fname like '%$val%' OR lname like '%$val%' limit $offset,$noofpage";
		$result = $this->db->query($query);
		return $result;
	}
	
		public function users_search_count($val)
	{
		$query = "select * from users where username like '%$val%' OR fname like '%$val%' OR lname like '%$val%'";
		$result = $this->db->query($query);
		return count($result);
	}
	
	public function editdetails($uid,$fname,$lname,$mob)
	{
		$fname = mysql_escape_string($fname);
		$lname = mysql_escape_string($lname);
		$mob = mysql_escape_string($mob);
		if($uid != '' && $fname != '' && $lname != '' && $mob != '' )
		{
		$query = "update users set fname='$fname',lname='$lname',mob='$mob' where uid='$uid'";
		$result = $this->db->query($query);
		return 1;
		}
		else
		{
			return 0;
		}	
	}
	public function delete_users($uid=' ')
	{
		$uid = mysql_escape_string($uid);
		$query = "update users set userstatus='-2' where uid='$uid'";
		$result = $this->db->query($query);
		if($result->count()>0)
		{
			return 1;
		}
		else
		{
			return 0;
		}	
		
	}
	public function block($uid='',$status='')
	{
		$uid = mysql_escape_string($uid);
		$query = "update users set userstatus='$status' where uid='$uid'"; 
		$result = $this->db->query($query);
		if($result->count()>0)
		{
			return 1;
		}
		else
		{
			return 0;
		}	
		
	}
	
	/***************** product section start *********************/
	
	public function products($offset='',$limit='')
	{
		$query = "select * from products limit $offset,$limit";
		$result = $this->db->query($query);
		return $result;
	}
	public function get_products_count()
	{
		$query = "select * from products";
		$result = $this->db->query($query);
		return count($result);
	}
	public function product_search($val,$offset,$noofpage)
	{
		$query = "select * from products where ProductName like '$val' limit $offset,$noofpage";
		$result = $this->db->query($query);
		return $result;
	}
	public function product_search_count($val)
	{
		$query = "select * from products where ProductName like '$val'";
		$result = $this->db->query($query);
		return count($result);
	}
	public function get_products($ProductID='')
	{
		$query = "select * from products where ProductID = '$ProductID'";
		$result = $this->db->query($query);
		return $result;
	}
	
	public function add_product($ProjectName,$StartDate,$EndDate,$StartTime,$EndTime,$ProductImage,$ProductInfo,$ProductCost,$ProductStatus,$ProductID,$Coundown)
	{
		 $ProjectName = mysql_escape_string($ProjectName);
		 $ProductCost = mysql_escape_string($ProductCost);
 		 $ProductInfo = mysql_escape_string($ProductInfo);
		 $photos_size = Kohana::config('application.photos');
	 	 $thumb_size = Kohana::config('application.thumb');
		 $thumb_100 = Kohana::config('application.photo_100');
		 if($ProductID != '')
		 {
			 $query = "update products set ProductName='$ProjectName',StartDate='$StartDate',EndDate='$EndDate',StartTime='$StartTime',EndTime='$EndTime',ProductCost='$ProductCost',ProductInfo='$ProductInfo',ProductStatus='$ProductStatus',Countdown = '$Coundown' where ProductID='$ProductID'";
			 $result = $this->db->query($query);
			 $ProductID = $ProductID;
			 $count = 2;
		 }
		 else
		 {
			 $query = "insert into products(ProductName,StartDate,EndDate,StartTime,EndTime,ProductCost,ProductInfo,ProductStatus,CreatedDate,Countdown) values('$ProjectName','$StartDate','$EndDate','$StartTime','$EndTime','$ProductCost','$ProductInfo','$ProductStatus',now(),'$Coundown')";
			 $result = $this->db->query($query);
			 $ProductID = $result->insert_id();
			 $count = 1;
		 }
	     
		/**** Product photo upload ****/	
		 $_FILES = Validation::factory($_FILES)
		 ->add_rules('ProductImage', 'upload::valid', 'upload::type[gif,jpg,png,jpeg,bmp]', 'upload::size[1M]');
		
		if ($_FILES->validate())
		{
			
			$filename = upload::save('ProductImage'); 
			$file_path = end(explode('.',$filename)); 
			$userDoc = DOCROOT."upload/$ProductImage";
			$userDoc = str_replace("'","",$userDoc);
			if($filename)
			{
				list($width, $height) = getimagesize($filename);
				$widthadjust  = $photos_size["profile"]["width"];
				$heightadjust  = $photos_size["profile"]["height"];
				
				if($width > $widthadjust )
				{
					$heightadjust = $height * ( $widthadjust / $width);
				}
				else
				{
					$widthadjust = $width;
				}
				
				if($heightadjust < $height )
				{
					Image::factory($filename)
					->resize($widthadjust,$heightadjust, Image::NONE)->crop($widthadjust, $photos_size["profile"]["height"], 'top')
					->save(DOCROOT.'public/ProductImage/'.$ProductID.'.jpg');
				}
				else
				{
					Image::factory($filename)
					->resize($widthadjust,$heightadjust, Image::WIDTH)
					->save(DOCROOT.'public/ProductImage/'.$ProductID.'.jpg');
				}
				
				//100 x 100
				
				$widthadjust  = $thumb_100["profile"]["width"];
				$heightadjust  = $thumb_100["profile"]["height"];
				
				if($width > $widthadjust )
				{
					$heightadjust = $height * ( $widthadjust / $width);
				}
				else
				{
					$widthadjust = $width;
				}
				
				if($heightadjust < $height )
				{
					Image::factory($filename)
					->resize($widthadjust,$heightadjust, Image::NONE)->crop($widthadjust, $thumb_100["profile"]["height"], 'top')
					->save(DOCROOT.'public/ProductImage/100/'.$ProductID.'.jpg');
				}
				else
				{
					Image::factory($filename)
					->resize($widthadjust,$heightadjust, Image::WIDTH)
					->save(DOCROOT.'public/ProductImage/100/'.$ProductID.'.jpg');
				}
				
				
				// 50 x 50
				
				
				$widthadjust  = $thumb_size["profile"]["width"];
				$heightadjust  = $thumb_size["profile"]["width"];
				if( $width > $height)
				{
					$widthadjust  = $width * $widthadjust / $height;
				}
				else
				{
					$heightadjust  = $height * $heightadjust / $width;
				}
				
				Image::factory($filename)
				->resize($widthadjust,$heightadjust, Image::NONE)->crop($thumb_size["profile"]["width"], $thumb_size["profile"]["width"], 'top')
				->save(DOCROOT.'public/ProductImage/50/'.$ProductID.'.jpg');
				
				unlink($filename);	
				$this->db->query("update products set ProductImage='$ProductID.jpg' where ProductID='$ProductID'");
			}
		}
		else
		{
			return -5;
		}
	    return $count;
	}
	
	public function product_delete($ProductID)
	{
		if($ProductID != '')
		{
			$query = "delete from products where ProductID = '$ProductID'";
			$result = $this->db->query($query);
			return 1;
		}
		else
		{
			return -1;
		}
	}
	public function payment_delete($PaymentID)
	{
		if($PaymentID != '')
		{
			$query = "delete from payments where PaymentID = '$PaymentID'";
			$result = $this->db->query($query);
			return 1;
		}
		else
		{
			return -1;
		}
	}
	public function productresume($ProductID,$ResumeHoldingStatus)
	{
		if($ProductID != '' && $ResumeHoldingStatus != '')
		{
			if($ResumeHoldingStatus == 0)
			{
				$query = "update products set ProductProcess = '$ResumeHoldingStatus' where ProductID = '$ProductID'";
				$result = $this->db->query($query);
				return 1;
			}
			else
			{
				$query = "update products set ProductProcess = '$ResumeHoldingStatus' where ProductID = '$ProductID'";
				$result = $this->db->query($query);
				return 2;
			}
		}
		else
		{
			return -1;
		}
	}
	
	/***************** product section end *********************/
	
	/***************** Manage Bid section start *********************/
	
	public function managebids()
	{
	        $query = "select * from bid_packages";
	        $result = $this->db->query($query);
	        return $result;
	}
	public function add_bidpack($TotalBids,$Amount)
	{
	        $TotalBids = mysql_escape_string($TotalBids);
		$Amount = mysql_escape_string($Amount);
		$query = "insert into bid_packages(TotalBid,Amount) values('$TotalBids','$Amount')";
	        $result = $this->db->query($query);
	        return 1;
	}        
	
	public function edit_bids($PackageID,$TotalBids,$Amount)
	{
	        $PackageID = mysql_escape_string($PackageID);
	        $TotalBids = mysql_escape_string($TotalBids);
		$Amount = mysql_escape_string($Amount);
	 	$query = "update bid_packages set TotalBid='$TotalBids',Amount='$Amount' where PackageID='$PackageID'";
		$result = $this->db->query($query);
		if($result->count()>0)
		{
			return 1;
		}
		else
		{
			return 0;
		}	
	}
	
        public function delete_bids($pid)
        {
                $pid = mysql_escape_string($pid);
		$query = "delete from bid_packages where PackageID='$pid'";
		$result = $this->db->query($query);
		if($result->count()>0)
		{
			return 1;
		}
		else
		{
			return 0;
		}	
        }	                
	/*****************  Manage Bid  section end *********************/   
	
	/***************** Manage Testimonial start *********************/
	
	public function testimonials($offset='',$limit='')
	{
	        $query = "select t.TestimonialID,t.Title,t.TestimonialDesc,t.TestimonialStatus,t.CreatedDate,u.username,u.user_photo from Testimonial t,users u where u.uid=t.uid order by TestimonialID desc limit $offset,$limit";
	        $result = $this->db->query($query);
	        return $result;
	}
	 public function get_testimonials_count()
	{
	        $query = "select t.TestimonialID,t.Title,t.TestimonialDesc,t.TestimonialStatus,t.CreatedDate,u.username,u.user_photo from Testimonial t,users u where u.uid=t.uid order by TestimonialID desc";
	        $result = $this->db->query($query);
	        return count($result);
	}
	public function accept_testimonials($tid,$tstatus)
	{
	        $TestimonialID = mysql_escape_string($tid);
      	        $TestimonialStatus  = mysql_escape_string($tstatus);
	 	$query = "update Testimonial set TestimonialStatus='$TestimonialStatus' where TestimonialID='$TestimonialID'";
		$result = $this->db->query($query);
		if($result->count()>0)
		{
			return 1;
		}
		else
		{
			return 0;
		}	
	}
	
        public function delete_testimonials($tid)
        {
        $TestimonialID = mysql_escape_string($tid);
		$query = "delete from Testimonial where TestimonialID='$TestimonialID'";
		$result = $this->db->query($query);
		if($result->count()>0)
		{
			return 1;
		}
		else
		{
			return 0;
		}	
        }	                
	/*****************  Manage Testimonial end *********************/
	
	/*****************  Manage News start *********************/
	public function display_news($offset='',$limit='')
	{
		$query = "select * from news where NewsStatus=1 order by NewsID desc limit $offset,$limit";
	    $result = $this->db->query($query);
	    return $result;
	}
	public function get_news_count()
	{
            $query = "select * from news where NewsStatus=1 order by NewsID desc";
	    $result = $this->db->query($query);
	    return count($result);
	}
	public function get_news($NewsID='')
	{
		 $query = "select * from news where NewsID='$NewsID' and NewsStatus='1'";
	    $result = $this->db->query($query);
	    return $result;
	}
	public function add_news($NewsID,$tit,$desc,$image)
	{
		$title = mysql_escape_string($tit);
		$desc = mysql_escape_string($desc);
        $photos_size = Kohana::config('application.photos');
	 	$thumb_size = Kohana::config('application.thumb');
		$thumb_100 = Kohana::config('application.photo_100');
		if($NewsID != '')
		 {
			 $query = "update news set NewsTitle='$title',NewsDesc='$desc' where NewsID='$NewsID'";
			 $result_add = $this->db->query($query);
			 $NewsID = $NewsID;
			 $count = 2;
		 }
		 else
		 {
			$query = "INSERT INTO news(NewsTitle,NewsDesc,NewsStatus,CreatedDate) VALUES('$title','$desc','1',now())";
			 $result_add = $this->db->query($query);
			 $NewsID = $result_add->insert_id();
			 $count = 1;
		 }
	 	 
		
		
		
		/**** News photo upload ****/	
		if($image != '')
		{
		 $_FILES = Validation::factory($_FILES)
		 ->add_rules('news_img', 'upload::valid', 'upload::type[gif,jpg,png,jpeg,bmp]', 'upload::size[1M]');
		if($_FILES->validate())
		{
			$filename = upload::save('news_img');
			$file_path = end(explode('.',$filename)); 
			$userDoc = DOCROOT."upload/$image";
			$userDoc = str_replace("'","",$userDoc);
			if($filename)
			{
				list($width, $height) = getimagesize($filename);
				$widthadjust  = $photos_size["profile"]["width"];
				$heightadjust  = $photos_size["profile"]["height"];
				
				if($width > $widthadjust )
				{
					$heightadjust = $height * ( $widthadjust / $width);
				}
				else
				{
					$widthadjust = $width;
				}
				
				if($heightadjust < $height )
				{
					Image::factory($filename)
					->resize($widthadjust,$heightadjust, Image::NONE)->crop($widthadjust, $photos_size["profile"]["height"], 'top')
					->save(DOCROOT.'public/NewsImage/'.$NewsID.'.jpg');
				}
				else
				{
					Image::factory($filename)
					->resize($widthadjust,$heightadjust, Image::WIDTH)
					->save(DOCROOT.'public/NewsImage/'.$NewsID.'.jpg');
				}
				
				//100 x 100
				
				$widthadjust  = $thumb_100["profile"]["width"];
				$heightadjust  = $thumb_100["profile"]["height"];
				
				if($width > $widthadjust )
				{
					$heightadjust = $height * ( $widthadjust / $width);
				}
				else
				{
					$widthadjust = $width;
				}
				
				if($heightadjust < $height )
				{
					Image::factory($filename)
					->resize($widthadjust,$heightadjust, Image::NONE)->crop($widthadjust, $thumb_100["profile"]["height"], 'top')
					->save(DOCROOT.'public/NewsImage/100/'.$NewsID.'.jpg');
				}
				else
				{
					Image::factory($filename)
					->resize($widthadjust,$heightadjust, Image::WIDTH)
					->save(DOCROOT.'public/NewsImage/100/'.$NewsID.'.jpg');
				}
				
				
				// 50 x 50
				
				
				$widthadjust  = $thumb_size["profile"]["width"];
				$heightadjust  = $thumb_size["profile"]["width"];
				if( $width > $height)
				{
					$widthadjust  = $width * $widthadjust / $height;
				}
				else
				{
					$heightadjust  = $height * $heightadjust / $width;
				}
				
				Image::factory($filename)
				->resize($widthadjust,$heightadjust, Image::NONE)->crop($thumb_size["profile"]["width"], $thumb_size["profile"]["width"], 'top')
				->save(DOCROOT.'public/NewsImage/50/'.$NewsID.'.jpg');
				
				unlink($filename);	
				$this->db->query("update news set NewsImage='$NewsID.jpg' where NewsID='$NewsID'");return $count;
			}
		}

		}
		else
		{
			return 0;
		}
			
		 return $count;
	}
	
	public function delete_news($nid=' ')
	{
		$nid = mysql_escape_string($nid);
		$query = "update news set NewsStatus='-2' where NewsID='$nid'";
		$result = $this->db->query($query);
		if($result->count()>0)
		{
			return 1;
		}
		else
		{
			return 0;
		}	
		
	}
	/*****************  Manage News end *********************/
	
	/*****************  Manage payments start *********************/
	public function get_payment($offset='',$limit='')
	{
	        $query = "select *,users.username as uname from payments LEFT JOIN users ON payments.uid=users.uid where PaymentType = '2' order by PaymentID desc limit $offset,$limit";
	        $result = $this->db->query($query);
	        return $result;
	}
	public function get_payment_count()
	{
	        $query = "select *,users.username as uname from payments LEFT JOIN users ON payments.uid=users.uid where PaymentType = '2' order by PaymentID desc";
	        $result = $this->db->query($query);
	        return count($result);
	}
	public function get_package()
	{
	        $query = "select * from bid_packages";
	        $result = $this->db->query($query);
	        return $result;
	}
	
	public function get_amount($PackageID)
	{
	        $query = "select Amount from bid_packages where PackageID = '$PackageID'";
	        $result = $this->db->query($query);
	        return $result;
	}
	public function add_payment($name,$email,$package_id,$rupees,$uid)
	{
	        $user_id='';
	        $result1 = $this->db->query("select uid,bid_count from users where username = '$name' and email = '$email'");
		if($result1->count()<=0)
		{
	        $this->session->set('Msg','The user name or email doesnot exist!');
		url::redirect($this->docroot.'admin/add_payment');
		}
		else
		{
		$user_id = $result1['mysql_fetch_array']->uid;
		}
		
		$name = mysql_escape_string($name);
		$email = mysql_escape_string($email);
		$package_id = mysql_escape_string($package_id);
		$rupees = mysql_escape_string($rupees);
		
	 	$query = "INSERT INTO payments(Amount,PackageID,uid,PayedDate,PaymentType) VALUES('$rupees','$package_id','$user_id',now(),'2')"; 
	 	$package_result = $this->db->query("select * from bid_packages where PackageID = '$package_id'");
	 	if($package_result->count()>0)
	 	{
	 	        $TotalBid = $package_result['mysql_fetch_array']->TotalBid;
	 	        $bid_count = $result1['mysql_fetch_array']->bid_count;
	 	        $totalbid = $TotalBid+$bid_count;
	 	        
	 	        $update_bidcount = $this->db->query("update users set bid_count = '$totalbid' where uid = '$uid'");
	 	}
		$result = $this->db->query($query);
		return $result;
	
	}
	/*****************  Manage payments end *********************/
	
	/*****************  Start of Manage Dollar rate  *********************/
	
	public function dollar_rate()
	{
	        $query = "SELECT dollar_value FROM dollar_rate"; 
		$result = $this->db->query($query);
		return $result;  
	}
	public function updatedollar($drate)
	{
	        $drate = mysql_escape_string($drate);		
	 	$query = "UPDATE dollar_rate SET dollar_value=$drate"; 
		$result = $this->db->query($query);
		url::redirect($this->docroot.'admin/dollar_rate');
		return $result;         
	}
	
	/*****************  End of Manage Dollar rate *********************/
	
	/*****************  Start of Paypal Order History  *********************/
	public function paypalorder()
	{
	        $query = "SELECT *,u.fname,u.lname FROM payments p, users u WHERE p.uid=u.uid and p.PaymentType != '2'";
	        $result = $this->db->query($query);
	        return $result;
	}	
	/*****************  End of Paypal Order History  *********************/
	
	/***************** Start of Content Management *********************/
	
	//Add Page
	public function add_page($pname,$ptitle,$pcontent)
	{
	        $pname = mysql_escape_string($pname);
		$ptitle = mysql_escape_string($ptitle);
		$pcontent = mysql_escape_string($pcontent);
		$query = "insert into content_mgmt(PageName,PageTitle,PageContent) values('$pname','$ptitle','$pcontent')";
	        $result = $this->db->query($query);
	        return 1;
	        
	}
	//Get all page names
	public function pagename()
	{
	        $query = "SELECT PageID,PageName FROM content_mgmt";
	        $result = $this->db->query($query);
	        return $result;        
	}
	
	// Get Page Content for update
	public function get_page($pid)
	{
	        $query = "SELECT * FROM content_mgmt WHERE PageID='$pid'";
	        $result = $this->db->query($query);
	        return $result;       
	}
	
	//Update Page
	public function update_page($pid,$ptitle,$pcontent)
	{
	        $ptitle = mysql_escape_string($ptitle);
		$pcontent = mysql_escape_string($pcontent);
		
	        $query = "UPDATE content_mgmt SET PageTitle='$ptitle',PageContent='$pcontent' WHERE PageID='$pid'";
	        $result = $this->db->query($query);
	        return 2;   
	}
	/***************** End of Content Management *********************/
}
?>
