<?php defined('SYSPATH') OR die('No direct access allowed.');

class Admin_Controller extends Website_Controller 
{
	public $template = 'template/template';
	public function __construct()
	{
		
		parent::__construct();
		$this->session = Session::instance();
		$this->model = new Admin_Model();
		
	}
	
	public function index()
	{	
		if($this->userid == '' && $this->usertype != -1)url::redirect($this->docroot.'login');
		$this->template->get_package = $this->model->get_package();
		$this->template->title ="Administrator";
		$page_no = $this->uri->last_segment(); 
		if($page_no == 0 || $page_no == 'index')
		$page_no = 1;
		$offset = 12*($page_no-1);
		$this->template->users = $this->model->manageusers($offset,12);
		$this->total = $this->model->get_users_count();
			$this->template->pagination = new Pagination(array
			 (
			 'base_url'       => 'admin',
			 'uri_segment'    =>'index',
			 'items_per_page' => 12,
			 'total_items'    => $this->total,
			 'style'         => 'digg' )
			 );
		  $this->template->content = new View('/admin/admin');
		  
		  
	}
	
	public function users_search()
	{
		if($this->userid != '' && $this->usertype == -1)
		{
			if($_GET)
			{
				$val = $this->input->get('search');
				$this->template->title ="Users Search";
				$page_no = $this->uri->last_segment(); 
				if($page_no == 0 || $page_no == 'index')
				$page_no = 1;
				$offset = 10*($page_no-1);
				if($val != '')
				{
					$this->template->users = $this->model->users_search($val,$offset,10);
					$this->total = $this->model->users_search_count($val);
				}
				else
				{
					$this->template->users = array();
					$this->total = '';
				}
				
				$this->template->pagination = new Pagination(array
			    (
					'base_url'       => 'admin',
					'uri_segment'    =>'index',
					'items_per_page' => 12,
					'total_items'    => $this->total,
					'style'         => 'digg' )
			    );
			  	$this->template->content = new View('/admin/admin');
			}
		}
		else
		{
			url::redirect($this->docroot);
		}
	}
	
	public function editdetails()
	{
		if($this->userid != '' && $this->usertype == -1)
		{
			if($_POST)
			{
				$uid = $this->input->post('uid');
				$fname = $this->input->post('fname');
				$lname = $this->input->post('lname');
				$mob = $this->input->post('mob');
				$this->template->editdetails = $this->model->editdetails($uid,$fname,$lname,$mob);
				if($this->template->editdetails == 1)
				{
						 $this->session->set('Msg','your profile details are updated.');
						 url::redirect($this->docroot.'admin');
				}
				else
				{
						$this->session->set('Emsg','Error in updating');
						url::redirect($this->docroot.'admin');
				}
						 
			}
		}
		else
		{
			url::redirect($this->docroot.'login');	
		}		
	
	}
	
	public function delete_users($uid = '')
	{
		$this->template->title = 'Delete Users';
		if($this->userid != '' && $this->usertype == -1)
		{
				$this->template->delete_users = $this->model->delete_users($uid);
			
				if($this->template->delete_users == 1)
				{
						 $this->session->set('Msg','The user profile is deleted');
						 url::redirect($this->docroot.'admin');
				}
				else
				{
						$this->session->set('Emsg','Error in Deleting');
						url::redirect($this->docroot.'admin');
				}
		}	
		else
		{
			url::redirect($this->docroot.'login');
		
		}	
	}
	public function block($uid = '',$status = '')
	{
		$this->template->title = 'Block Users';
		if($this->userid != '' && $this->usertype == -1)
		{
			$this->template->block = $this->model->block($uid,$status);
			if($this->template->block== 1)
			{
				 $this->session->set('Msg','User status has been changed.');
				 url::redirect($this->docroot.'admin');
			}
			else
			{
				$this->session->set('Emsg','Failed to change user status');
				url::redirect($this->docroot.'admin');
			}
		}	
		else
		{
			url::redirect($this->docroot.'login');
		}
		
	}
	
	/******************* Product section start******************/
	
	public function products()
	{
	        if($this->userid != '' && $this->usertype == -1)
	        {
	                $this->template->title = 'Manage Products';
	        $page_no = $this->uri->last_segment(); 
		if($page_no == 0 || $page_no == 'products')
		$page_no = 1;
		$offset = 10*($page_no-1);
		$this->template->get_product = $this->model->products($offset,10);
		$this->total = $this->model->get_products_count();
			$this->template->pagination = new Pagination(array
			 (
			 'base_url'       => 'admin',
			 'uri_segment'    =>'products',
			 'items_per_page' => 10,
			 'total_items'    => $this->total,
			 'style'         => 'digg' )
			 );
	                $this->template->content = new View('admin/product_list');
	        }
	        else
	        {
	                url::redirect($this->docroot.'login');
	        }
	}
	
	
	public function product_search()
	{
	        if($this->userid != '' && $this->usertype == -1)
	        {
	                $this->template->title = 'Manage Products';
					$page_no = $this->uri->last_segment(); 
					if($page_no == 0 || $page_no == 'products')
					$page_no = 1;
					$offset = 10*($page_no-1);
					if($_GET)
					{
						$val = $this->input->get('search');
						$this->template->get_product = $this->model->product_search($val,$offset,10);
					}
					else
					{
						$this->template->get_product = array();
					}
					$this->total = $this->model->product_search_count($val);
					$this->template->pagination = new Pagination(array
					 (
					 'base_url'       => 'admin',
					 'uri_segment'    =>'products',
					 'items_per_page' => 10,
					 'total_items'    => $this->total,
					 'style'         => 'digg' )
					 );
	                $this->template->content = new View('admin/product_list');
	        }
	        else
	        {
	                url::redirect($this->docroot.'login');
	        }
	}
	
	public function add_product($ProductID = '')
	{
	        if($this->userid != '' && $this->usertype == -1)
	        {
				$this->template->get_product = $this->model->get_products($ProductID);
	                $this->template->title = 'Add Products';
	                if($_POST)
	                {
	                        $ProjectName = $this->input->post('ProductName');
				$ProductID = $this->input->post('ProductID');
	                        $StartDate = $this->input->post('StartDate');
	                        $EndDate = $this->input->post('EndDate');
	                        $StartTime = $this->input->post('StartTime');
	                        $EndTime = $this->input->post('EndTime');
	                        $ProductImage = $_FILES['ProductImage'];
	                        $ProductCost = $this->input->post('ProductCost');
	                        $ProductInfo = $this->input->post('ProductInfo');
	                        $Coundown = $this->input->post('Countdown');
				$ProductStatus = $this->input->post('ProductStatus');
	                        if($ProjectName != '' && $StartDate != '' && $EndDate!= '' && $StartTime != '' && $EndTime != '' && ($ProductImage != '' || $ProductID != '') && $ProductCost != ''  && $ProductInfo != '' && $ProductStatus != '' && $Coundown != '')
	                        {
	                                $this->template->add_product = $this->model->add_product($ProjectName,$StartDate,$EndDate,$StartTime,$EndTime,$ProductImage,$ProductInfo,$ProductCost,$ProductStatus,$ProductID,$Coundown);
									if($this->template->add_product == 1)
									{
										$this->session->set('Msg','Product has been Added.');
										url::redirect($this->docroot.'admin/products');
									}
									elseif($this->template->add_product == 2)
									{
										$this->session->set('Msg','Product has been Updated.');
										url::redirect($this->docroot.'admin/products');
									}
	                        }
	                        else
	                        {
	                                $this->session->set('Emsg','All fields are Required.');
	                                url::redirect($this->docroot.'admin/add_product');
	                        }
	                }
	                $this->template->content = new View('admin/add_products');
	        }
	        else
	        {
	                url::redirect($this->docroot.'login');
	        }
	}
	
	public function product_delete($ProductID)
	{
		if($this->userid != '' && $this->usertype == -1)
		{
			if(!$_SERVER['HTTP_REFERER'])url::redirect($this->docroot.'admin');
			$this->template->title = 'Product Delete';
			 
				$this->product_delete = $this->model->product_delete($ProductID);
				if($this->product_delete == 1)
				{
					$this->session->set('Msg','Product has been Deleted.');
					url::redirect($this->docroot.'admin/products');
				}
				elseif($this->product_delete == -1)
				{
					$this->session->set('Msg','Product delete process failed.');
					url::redirect($this->docroot.'admin/products');
				}

		}
		else
		{
			url::redirect($this->docroot.'login');
		}
	}
	
	public function productresume($ProductID,$ResumeHoldingStatus)
	{
		if($this->userid != '' && $this->usertype == -1)
		{
		         $this->auction = new Auctions_Model();
		        if($ResumeHoldingStatus == 1)
		        {
		                $this->auction->update_current_time($ProductID);
		        }
			$this->resume_hold = $this->model->productresume($ProductID,$ResumeHoldingStatus);
			
			if($this->resume_hold == 1)
			{
				$this->session->set('Msg','Product has been Holded.');
				url::redirect($this->docroot.'admin/products');
			}
			elseif($this->resume_hold == 2)
			{
				$this->session->set('Msg','Product has been Resumed.');
				url::redirect($this->docroot.'admin/products');
			}
			elseif($this->resume_hold == -1)
			{
				$this->session->set('Msg','Product Resume/Hold process failed.');
				url::redirect($this->docroot.'admin/products');
			}
		}
		else
		{
			url::redirect($this->docroot.'login');
		}
	}
	
	/******************** Product section end*****************/
	
	/********************  Manage Bid Package Start *****************/
	
	public function managebids()
	{
			$this->template->title ="Manage Bid Packages";
			if($this->userid != '' && $this->usertype == '-1')
			{ 
				$this->template->viewbid = $this->model->managebids();
			}
			else
			{
				url::redirect($this->docroot.'login');
			}
			$this->template->content = new View('admin/managebids');
			        
	}
	public function edit_bids()
	{
	    $this->template->title ="Manage Bid Packages";
	    if($this->userid != '' && $this->usertype == '-1')
		{ 	        
			if($_POST)
			{
				$totalbids = $this->input->post('TotalBid');
				$amount = $this->input->post('Amount');
				$packageid = $this->input->post('pid');
				$this->template->edit_bids = $this->model->edit_bids($packageid,$totalbids,$amount);
				if($this->template->edit_bids == 1)
				{
						 $this->session->set('Emsg','Your Bid Package is updated.');
						 url::redirect($this->docroot.'admin/managebids');
				}
				else
				{
						$this->session->set('Emsg','Error in updating');
						url::redirect($this->docroot.'admin/managebids');
				}
						 
			}
		}
		else
		{
			url::redirect($this->docroot.'login');
		}	
	        
	}
	
	public function delete_bids($pid = '')
	{
		$this->template->title = 'Delete Bid Package';
		if($this->userid != '' && $this->usertype == -1)
		{
				$this->template->delete_bids = $this->model->delete_bids($pid);
			
				if($this->template->delete_bids == 1)
				{
						 $this->session->set('Emsg','Your Bid Package is deleted');
						 url::redirect($this->docroot.'admin/managebids');
				}
				else
				{
						$this->session->set('Emsg','Error in Deleting');
						url::redirect($this->docroot.'admin/managebids');
				}
		}	
		else
		{
			url::redirect($this->docroot.'login');
		
		}	
	}
	 
	public function add_bidpack()
	{
	         if($this->userid != '' && $this->usertype == -1)
	        {
	                $this->template->title = 'Add Bid Package';
	                if($_POST)
	                {
	                        $TotalBids = $this->input->post('TotalBid');
	                        $Amount = $this->input->post('Amount');
	                        if($TotalBids != '' && $Amount != '')
	                        {
	                                $this->template->add_bidpack = $this->model->add_bidpack($TotalBids,$Amount);
	                                url::redirect($this->docroot.'admin/managebids');
	                        }
	                        else
	                        {
	                                $this->session->set('Emsg','All fields are Required.');
	                                url::redirect($this->docroot.'admin/add_bidpack');
	                        }
	                         url::redirect($this->docroot.'admin/managebids');
	                }
	                $this->template->content = new View('admin/add_bidpack');
	                
	        }
	        else
	        {
	                url::redirect($this->docroot.'login');
	        }
	}                
	/********************  Manage Bid Package End *****************/
	
	/********************  Manage Testimonial Start *****************/
	
	public function testimonials()
	{
		$this->template->title ="Manage Testimonials";
		if($this->userid != '' && $this->usertype == -1)
		{        	
		$page_no = $this->uri->last_segment(); 
		if($page_no == 0 || $page_no == 'testimonials')
		$page_no = 1;
		$offset = 5*($page_no-1);
		$this->template->viewtesti = $this->model->testimonials($offset,5);
		$this->total = $this->model->get_testimonials_count();
			$this->template->pagination = new Pagination(array
			 (
			 'base_url'       => 'admin',
			 'uri_segment'    =>'testimonials',
			 'items_per_page' => 5,
			 'total_items'    => $this->total,
			 'style'         => 'classic' )
			 );
		}
		else
		{
			url::redirect($this->docroot.'login');
		}
		$this->template->content = new View('admin/testimonials');
	}
	public function accept_testimonials()
	{
	        $this->template->title ="Accept Testimonial";
            if($this->userid != '' && $this->usertype == -1)
			{        
				if($_GET)
				{
				$tid = $this->input->get('tid');
				$tstatus = $this->input->get('status');
				$this->template->accept_testimonials = $this->model->accept_testimonials($tid,$tstatus);
				if($this->template->accept_testimonials == 1)
				{
						 $this->session->set('Msg','Testimonial is Accepted.');
						 url::redirect($this->docroot.'admin/testimonials');
				}
				else
				{
						$this->session->set('Emsg','Error in updating');
						url::redirect($this->docroot.'admin/testimonials');
				}
						 
				}	
	        }
			else
			{
				url::redirect($this->docroot.'login');
			}
	}
	
	public function delete_testimonials()
	{
		$this->template->title = 'Delete Testimonial';
		if($this->userid != '' && $this->usertype == -1)
		{
		        if($_GET)
		        {
		                $tid = $this->input->get('tid');
				$this->template->delete_testimonials = $this->model->delete_testimonials($tid);
			
				if($this->template->delete_testimonials == 1)
				{
						 $this->session->set('Emsg','Testimonial is deleted');
						 url::redirect($this->docroot.'admin/testimonials');
				}
				else
				{
						$this->session->set('Emsg','Error in Deleting');
						url::redirect($this->docroot.'admin/testimonials');
				}
			}
		}	
		else
		{
			url::redirect($this->docroot.'login');
		
		}	
	}
	 
	  
	/********************  Manage Testimonial End *****************/
	
	/*start manage news*/
	public function news()
	{
		$this->template->title = 'Manage News';
		if($this->userid != '' && $this->usertype == -1)
		{ 
			if($_POST)
				{
					$id = $this->input->post('id');
					$ttit = $this->input->post('title');
					$tdesc = $this->input->post('newsdesc');
					$this->template->add_news = $this->model->edit_news($ttit,$tdesc,$id);
					$this->session->set('Msg','News has been Updated successfully.');
					url::redirect($this->docroot.'admin/news');
				}
			$page_no = $this->uri->last_segment(); 
			if($page_no == 0 || $page_no == 'news')
			$page_no = 1;
			$offset = 3*($page_no-1);
			$this->template->display_news = $this->model->display_news($offset,3);
			$this->total = $this->model->get_news_count();
				$this->template->pagination = new Pagination(array
				 (
				 'base_url'       => 'admin',
				 'uri_segment'    =>'news',
				 'items_per_page' => 3,
				 'total_items'    => $this->total,
				 'style'         => 'digg' )
				 );
		}
		else
		{
			url::redirect($this->docroot.'login');
		}
	$this->template->content = new View('admin/news');
	}
	public function add_news($NewsID='')
	{
		$this->template->title = 'Add News';
		$this->template->display_news = $this->model->get_news($NewsID);
		if($this->userid != '' && $this->usertype == -1)
		{
			
			if($_POST)
			{
				$NewsID = $this->input->post('NewsID');
				$ttit = $this->input->post('title');
				$tdesc = $this->input->post('newsdesc');
				$timg = $_FILES['news_img'];
				if($ttit != '' && $tdesc!= '')
				{
				$this->template->add_news = $this->model->add_news($NewsID,$ttit,$tdesc,$timg);
					if($this->template->add_news == 1)
					{
						$this->session->set('Msg','News has been Added.');
						url::redirect($this->docroot.'admin/news');
					}
					elseif($this->template->add_news== 2)
					{
						$this->session->set('Msg','News has been Updated.');
						url::redirect($this->docroot.'admin/news');
					}
				}
				else
				{
						$this->session->set('Emsg','All fields are Required.');
						url::redirect($this->docroot.'admin/news');
				}
				
			} 
		}
		else
		{
			url::redirect($this->docroot.'login');
		}
	$this->template->content = new View('admin/add_news');	
	}
	/*end manage news*/
	
	/*start delete news*/
	public function delete_news($nid = '')
	{
		$this->template->title = 'Delete News';
		if($this->userid != '' && $this->usertype == -1)
		{
				$this->template->delete_news = $this->model->delete_news ($nid);
			
				if($this->template->delete_news  == 1)
				{
						 $this->session->set('Msg','The News is deleted');
						 url::redirect($this->docroot.'admin/news');
				}
				else
				{
						$this->session->set('Emsg','Error in Deleting');
						url::redirect($this->docroot.'admin/news');
				}
		}	
		else
		{
			url::redirect($this->docroot.'login');
		
		}
		$this->template->content = new View('admin/add_news');	 	
	}
	/*end delete news*/
	
	
	/*start manage payment*/
	public function manage_payment()
	{
		$this->template->title = 'Manage Payment';
		if($this->userid != '' && $this->usertype == -1)
		{
		$page_no = $this->uri->last_segment();
		if($page_no == 0 || $page_no == 'manage_payment')
		$page_no = 1;
		$offset = 3*($page_no-1);
		$this->template->payment = $this->model->get_payment($offset,3);
		$this->total = $this->model->get_payment_count();
			$this->template->pagination = new Pagination(array
			 (
			 'base_url'       => 'admin',
			 'uri_segment'    =>'manage_payment',
			 'items_per_page' => 3,
			 'total_items'    => $this->total,
			 'style'         => 'classic' )
			 );
		
		$this->template->content = new View('admin/manage_payment');	 
		}
		else
		{
			url::redirect($this->docroot.'login');
		}
	}

	public function add_payment()
	{
		$this->template->title = 'Add Payment';
		if($this->userid != '' && $this->usertype == -1)
		{
			if($_POST)
			{
				$name = $this->input->post('username');
				$email = $this->input->post('email');
				$package = $this->input->post('package');
				$rupees = $this->input->post('rupees');
				$uid = $this->input->post('uid');
				$this->template->add_payment = $this->model->add_payment($name,$email,$package,$rupees,$uid);
				
					 $this->session->set('Msg','Payment has been Added successfully.');
					 url::redirect($this->docroot.'admin');
			}

		}
		else
		{
			url::redirect($this->docroot.'login');
		}
	}
	public function getamount($PackageID = '')
	{
		$this->template->title = 'Add Payment';
		if($this->userid != '' && $this->usertype == -1)
		{
		        if(request::is_ajax())
		        {
		             $this->template->get_amount = $this->model->get_amount($PackageID);
		             if(count( $this->template->get_amount)>0)
		             {
		                echo  $this->template->get_amount['mysql_fetch_array']->Amount;
		             }
	                }
	        exit;
		}
		else
		{
			url::redirect($this->docroot.'login');
		}
	}
	public function payment_delete($ProductID)
	{
		if($this->userid != '' && $this->usertype == -1)
		{
			if(!$_SERVER['HTTP_REFERER'])url::redirect($this->docroot.'admin');
			$this->template->title = 'payment Delete';
			 
				$this->payment_delete = $this->model->payment_delete($ProductID);
				if($this->payment_delete == 1)
				{
					$this->session->set('Msg','Payment has been Deleted.');
					url::redirect($this->docroot.'admin/manage_payment');
				}
				elseif($this->payment_delete == -1)
				{
					$this->session->set('Msg','Payment delete process failed.');
					url::redirect($this->docroot.'admin/manage_payment');
				}

		}
		else
		{
			url::redirect($this->docroot.'login');
		}
	}
	
	/* end manage payment */
	
	/* Start of Dollar Rate */
	public function dollar_rate()
	{
		$this->template->title = 'Dollar Rate';
		
		if($this->userid != '' && $this->usertype == -1)
		{  
			$this->template->dollarrate = $this->model->dollar_rate();  
			if($_POST)
			{
					$drate = $this->input->post('drate'); 
					$this->template->updatedollar = $this->model->updatedollar($drate);             
			}
		}
		else
		{
			url::redirect($this->docroot.'login');
		}
    	$this->template->content = new View('admin/dollar_rate');		
	}
	/* End of Dollar Rate */	
	
	/* Start of Paypal Order History */
	public function paypal_order()
	{
	       $this->template->title ="Paypal Order History";
		   if($this->userid != '' && $this->usertype == -1)
			{
	       		$this->template->paypalorder = $this->model->paypalorder();  
		   	}
		   else
		   	{
		   		url::redirect($this->docroot.'login');
		   	} 
	       $this->template->content = new View('/admin/paypal_order');
	}
	/* End of Paypal Order History */
	
	/* Start of Content Management */
	public function cont_mgmt($pid='')
	{
	        $this->template->title = 'Content Management';
	        if(request::is_ajax())
	        {
	                $this->template->page_content = $this->model->get_page($pid);
	                if(count($this->template->page_content)>0)
	                {
	                        foreach($this->template->page_content as $row)
	                        {
	                                echo $row->PageName.'~'.$row->PageTitle.'~'.$row->PageContent;
	                        }
	                }
	                exit;
	        }
	        if($_POST)
	        {
	                if(isset($_POST['pid']))
	                {       
	                        $pid = $_POST['pid'];
	                        $ptitle = $_POST['pgtitle'];
	                        $pcontent = $_POST['pgcontent'];
	                        $this->template->add_page = $this->model->update_page($pid,$ptitle,$pcontent);
	                }
	                else
	                {
	                        $pname = $_POST['pname'];
	                        $ptitle = $_POST['ptitle'];
	                        $pcontent = $_POST['pcontent'];
	                        $this->template->add_page = $this->model->add_page($pname,$ptitle,$pcontent);
	                }
	                if($this->template->add_page==1)
	                {
	                        $this->session->set("Msg","Your New Page was successfully added");
	                        url::redirect($this->docroot.'admin/cont_mgmt');
	                }
	                if($this->template->add_page=2)
	                {
	                        $this->session->set("Msg","Your Page has been updated successfully");
	                        url::redirect($this->docroot.'admin/cont_mgmt');
	                }
	        }
	        $this->pagenames = $this->model->pagename();
	        $this->template->content = new View('/admin/cont_mgmt');
	}
	/* End of Content Management */
}	
