<?php defined('SYSPATH') OR die('No direct access allowed.');

class Admin_Controller extends Website_Controller 
{
	public $template = 'template/template';
	public function __construct()
	{
		
		parent::__construct();
		$this->session = Session::instance();
		$this->model = new Admin_Model();
		
	}
	
	public function index()
	{	
		$this->template->title = 'Welcome to Apna Travels!';
		$this->template->content = new View('/admin/welcome_content');
	}
	
	/*  start manage Farequote */
	public function Booking()
	{
	        $this->template->title = 'Trip Booking';
	        if($this->uid=='1')
	        {        
	                 if($_POST)
	                {
	                        $cmail = $_POST['cust_mail'];
	                        $adminmsg = $_POST['replymsg'];
                                $this->template->reply = $this->model->reply_mail($cmail,$adminmsg);   
	                }
	                /* Pagination */
	                $page_no = $this->uri->last_segment(); 
	                if($page_no == 0 || $page_no == 'Booking')
                        $page_no = 1;
                        $offset =1*($page_no-1);
                        $this->get_pages = $this->model->booking($offset,1);  
                        $this->total_pages = $this->model->booking_count();   
                        $this->template->pagination = new Pagination(array
                        (
                                'base_url'       => 'admin',
                                'uri_segment'    =>'Booking',
                                'items_per_page' => 1,
                                'total_items'    => $this->total_pages,
                                'style'         => 'digg' )
                        );
	                /* Pagination */
	                $this->template->content = new View('/admin/trip_booking');
	        }
	        else
	        {
	                url::redirect($this->docroot.'apnatravels/login');
	        }
	}
	/*  end manage Farequote */
	
	/*  start manage contacts */
	public function contact()
	{
	        $this->template->title = 'Manage Contacts';
	        if($this->uid=='1')
	        {
	                if($_POST)
	                {
	                        $cmail = $_POST['cust_mail'];
	                        $adminmsg = $_POST['replymsg'];
                                $this->template->reply = $this->model->reply_mail($cmail,$adminmsg);   
	                }
	                /* Pagination */
	                $page_no = $this->uri->last_segment(); 
	                if($page_no == 0 || $page_no == 'contact')
                        $page_no = 1;
                        $offset =2*($page_no-1);
                        $this->get_pages = $this->model->contact($offset,2);  
                        $this->total_pages = $this->model->contact_count();   
                        $this->template->pagination = new Pagination(array
                        (
                                'base_url'       => 'admin',
                                'uri_segment'    =>'contact',
                                'items_per_page' => 2,
                                'total_items'    => $this->total_pages,
                                'style'         => 'digg' )
                        );
	                /* Pagination */
	                $this->template->content = new View('/admin/contact');
	        }
	        else
	        {
	                url::redirect($this->docroot.'apnatravels/login');
	        }
	}
	/*  end manage contacts */
	
	/*  start add  cms content */
	public function add_content()
	{
	  $this->template->title = 'Add content';
	  if($this->uid=='1')
	        {
				$this->cms_category = $this->model->get_cms_category();
	                if($_POST)
	                {
	                        
	                        $category_id = $_POST['page'];
							$content = $_POST['content'];
	  						$this->template->add_content=$this->model->add_content($category_id,$content);
							if($this->template->add_content==1)
							{
							$this->session->set('Msg','Your Content is Updated');
							}
							else
							{
							$this->session->set('Msg','Your Content is Added');
							}
					}
			}
			else
			{
					 url::redirect($this->docroot.'apnatravels/login');
			}
		 $this->template->content = new View('/admin/add_content');	
	}
	/*  end add  cms content */
	
	/*  start display  cms content page */
	public function manage_content($cat_id='')
	{
	  $this->template->title = 'Manage content';
	  if($this->uid=='1')
	  {	
	  	$this->cms_category = $this->model->get_cms_category();
	  	$this->template->page_val=$this->model->manage_content($cat_id);
	  }
	  else
	  {
	   	url::redirect($this->docroot.'apnatravels/login');
	  }	
	  $this->template->content = new View('/admin/manage_content');	
	}
	/*  end display  cms content page */
	
	/*  start display page content according to selected category */
	public function page_content($cid)
	{
		$this->template->title = 'Manage content';
		if($this->uid=='1')
	  	{	
			$this->cms_category = $this->model->get_cms_category();
			$cat_id = $cid;
			
				$this->template->page_val=$this->model->manage_content($cat_id);	
			
		}
		else
		{
			url::redirect($this->docroot.'apnatravels/login');
		}	
		$this->template->content = new View('/admin/manage_content');	
	}
	/*  end display page content according to selected category */
	
	/*  start update content according to selected category */
	public function update_content()
	{
		$this->template->title = 'Manage content';
 		$this->cms_category = $this->model->get_cms_category();
		if($this->uid=='1')
	  	{	
			if($_POST)
			{
				$catid = $_POST['cateid'];
				$catcontent = $_POST['ccontent'];
				
				$this->template->existing_content = $this->model->update_content($catid,$catcontent);
				if($this->template->existing_content==1)
							{
							$this->session->set('Msg','Your Content is Updated');
							url::redirect($this->docroot.'admin/page_content/'.$catid);
							}
							else
							{
							$this->session->set('Emsg','Your Content is not Updated');
							url::redirect($this->docroot.'admin/page_content/'.$catid);
							}	
			}
		}
		else
		{
			url::redirect($this->docroot.'apnatravels/login');
		}	

		$this->template->content = new View('/admin/manage_content');	
	}
	/*  end update content according to selected category */
	
	
	 
}
