<?php
class Admin_Model extends Model
{
	public function __construct()
	{
	   parent::__construct();
	   $db=new Database();
	   $this->session=Session::instance();
	}
	
	/*  start manage Farequote */
	public function booking($offset,$records)
	{
	    $query = "SELECT *,a.aboutusname,c.cdesc FROM farequote f, about_us a, country c WHERE f.about_us=a.aboutusID AND f.country=c.cid LIMIT $offset,$records"; 
		$result = $this->db->query($query);
		return $result;  
	}
	/*  end manage Farequote */
	
	/*  start manage contacts */
	public function contact($offset,$records)
	{
	    $query = "SELECT * FROM contact order by cid desc LIMIT $offset,$records"; 
		$result = $this->db->query($query);
		return $result;  
	}
	/*  end manage contacts */
	
	/*  start display cms categories in select */
	public function get_cms_category()
	{
		$query = "select * from cms_category";
		$result = $this->db->query($query);
		return $result;
	}
	/*  end display cms categories in select */
	
	/*  start reply mail */
	public function reply_mail($mailid,$adminmsg)
	{
                $to = $mailid;
                $subject = 'Comments from Apna Travels';
                $message = $adminmsg;
                $headers = "From: admin@apna.com";
                // Generate a boundary string
                $semi_rand = md5(time());
                $mime_boundary = "==Multipart_Boundary_x{$semi_rand}x";
                // Add the headers for a file attachment
                $headers .= "\nMIME-Version: 1.0\n" . "Content-Type: text/html;\n" ." boundary=\"{$mime_boundary}\"";
                $replied = mail($to,$subject,$message,$headers);
                if($replied)
                {
                        return 1;
                }
                else
                {
                        return -1;
                }
	}
	/*  end reply mail */
	
	/*  start manage Farequote for pagination */
	public function booking_count()
	{
	    $query = "SELECT * FROM farequote"; 
		$result = $this->db->query($query);
		return count($result);  
	}
	/*  end manage Farequote for pagination */
	
	/*  start manage contacts for pagination */
        public function contact_count()
	{
	    $query = "SELECT * FROM contact"; 
		$result = $this->db->query($query);
		return count($result);  
	}
	/*  end manage contacts for pagination */
	
	/*  start add  cms content */
	public function add_content($category_id,$content)
	{
		
		$category_id = mysql_escape_string($category_id);
		$content = mysql_escape_string($content);
		$query = "insert into pages values('$category_id','$content')"; 
		$result = $this->db->query($query);
		if($result->count()>0)
		{
		return 1;
		}
		else
		{
		return 0;
		} 
	}
	/*  end add  cms content */
	
	/*  start display  cms content page */
	public function manage_content($catid)
	{
		$query = "select * from pages where category_id='$catid'"; 
		$result = $this->db->query($query);
		return $result;
	}
	/*  end display  cms content page */
	
	/*  start update content according to selected category */ 
	public function update_content($cat_id,$catcontent)
	{
		$cat_id = mysql_escape_string($cat_id);
		$catcontent = mysql_escape_string($catcontent);
	 	if($cat_id != '' && $catcontent != '')
		{
			$query = "update pages set content='$catcontent' where category_id='$cat_id'";
			$result = $this->db->query($query);
			return 1;
		}
		else
		{
			return 0;
		}
		
	}
	/*  end update content according to selected category */
	
	/*  Start of Trip Country Retrieval */
	public function DepartFrom($dfrom)
	{
	        $dfrom = mysql_escape_string($dfrom);
	        $query = "select cdesc from country where cid='$dfrom'"; 
		$result = $this->db->query($query);
		return $result;            	
	}
	
	public function DepartTo($dto)
	{
	        $dto = mysql_escape_string($dto);
	        $query = "select cdesc from country where cid='$dto'"; 
		$result = $this->db->query($query);
		return $result;
	}
	
	public function ReturnFrom($rfrom)
	{
	        $rfrom = mysql_escape_string($rfrom);
	        $query = "select cdesc from country where cid='$rfrom'"; 
		$result = $this->db->query($query);
		return $result;
	}
	public function ReturnTo($rto)
	{
	         $rto = mysql_escape_string($rto);
	        $query = "select cdesc from country where cid='$rto'"; 
		$result = $this->db->query($query);
		return $result;       
	}
	/*  End of Trip Country Retrieval */
	
	public function add_page($category_id,$category_name)
	{
		$category_id = mysql_escape_string($category_id);
		$category_name = mysql_escape_string($category_name);
		$query = "insert into cms_category values('$category_id','$category_name')"; 
		$result = $this->db->query($query);
		if($result->count()>0)
		{
		return 1;
		}
		else
		{
		return 0;
		} 
		
		
	}
}
?>
